<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<li th:fragment="dropdownCheckItem (id, name, labelText, isChecked)"
    class="list-group-item list-group-item-action checkbox-menu-item">
    <label class="form-check-label" for="checkbox-id" th:for="${id}">
        <input type="checkbox" class="form-check-input" id="checkbox-id" th:id="${id}"
        th:name="${name}" th:checked="${isChecked}"/>
        <span th:text="${labelText}">Label</span>
    </label>
</li>

</body>
</html>